Criar Produto

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cria um produto baseado no seguinte JSON de exemplo:

{
  "alphaCode": "codigo-alfa-59.",
  "description": "Sample Product 59.",
  "sellValue": 111.99,
  "costValue": 1.99,
  "eanCode": "12345678959",
  "netWeight": 1.5,
  "grossWeight": 2.5,
  "minimumStock": 10.1,
  "observation": "This is a sample product 59.",
  "exTipi": "1111",
  "cest": "7777777",
  "isFractional": false,
  "noStock": false,
  "isOpenValue": false,
  "showCatalog": true,
  "promotionalValue": 15.99,
  "promotionalExpirationDate": "2023-09-04T20:59:59.999Z",
  "promotionalDisplayTimer": true,
  "category": 8778,
  "unit": 19152,
  "ncm": 5100010,
  "productOrigin": "NACIONAL",
  "taxesRuleId": "c867b75c-22ae-4049-b07c-9223e6cc92aa",
  "favorite": 1,
  "googleProductCategoryId": "1",
  "supplierId": 5673,
  "detail": {
    "text": "SP59",
    "viewMode": "TEXT",
    "color": "#ffff6010"
  },
  "variants": [
    {
      "name": "variant-59-1",
      "sellValue": 333.99,
      "costValue": 22.99,
      "noStock": false,
      "minimumStock": 5,
      "position": 1
    },
    {
      "name": "variant-59-2",
      "sellValue": 222.99,
      "costValue": 11.99,
      "noStock": true,
      "minimumStock": 2,
      "position": 2
    }
  ],
  "modifiers": [
    "06c72bed-b4ce-41be-9507-06fb9723382f"
  ]
}
Body Params
string
required
Defaults to { "alphaCode": "codigo-alfa-59.", "description": "Sample Product 59.", "sellValue": 111.99, "costValue": 1.99, "eanCode": "12345678959", "netWeight": 1.5, "grossWeight": 2.5, "minimumStock": 10.1, "observation": "This is a sample product 59.", "exTipi": "1111", "cest": "7777777", "isFractional": false, "noStock": false, "isOpenValue": false, "showCatalog": true, "promotionalValue": 15.99, "promotionalExpirationDate": "2023-09-04T20:59:59.999Z", "promotionalDisplayTimer": true, "category": 8778, "unit": 19152, "ncm": 5100010, "productOrigin": "NACIONAL", "taxesRuleId": "c867b75c-22ae-4049-b07c-9223e6cc92aa", "favorite": 1, "googleProductCategoryId": "1", "supplierId": 5673, "detail": { "text": "SP59", "viewMode": "TEXT", "color": "#ffff6010" }, "variants": [ { "name": "variant-59-1", "sellValue": 333.99, "costValue": 22.99, "noStock": false, "minimumStock": 5, "position": 1 }, { "name": "variant-59-2", "sellValue": 222.99, "costValue": 11.99, "noStock": true, "minimumStock": 2, "position": 2 } ], "modifiers": [ "06c72bed-b4ce-41be-9507-06fb9723382f" ] }

JSON contendo os campos para a criação

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json